{
    "$graph": [
        {
            "label": "Run tRNAScan, gather",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "arguments": [
                "-unzip",
                "*"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "intermediate.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                }
            ],
            "id": "#gpx_qdump.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/intermediate"
                }
            ]
        },
        {
            "label": "Run tRNAScan, execution",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "trnascan_wnode",
            "arguments": [
                "-X",
                "20",
                "-C",
                "-Q",
                "-b",
                "-q",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#trnascan_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/ThirdParty/tRNAscan-SE/production/arch/x86_64/bin/tRNAscan-SE",
                    "inputBinding": {
                        "prefix": "-tRNAscan"
                    },
                    "id": "#trnascan_wnode.cwl/binary"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "valueFrom": "${if (inputs.superkingdom==2157) { return true; } else {return false; } }",
                        "prefix": "-A"
                    },
                    "id": "#trnascan_wnode.cwl/cove_flag_archaea"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "valueFrom": "${if (inputs.superkingdom==2)    { return true; } else {return false; } }",
                        "prefix": "-B"
                    },
                    "id": "#trnascan_wnode.cwl/cove_flag_bacteria"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-g"
                    },
                    "id": "#trnascan_wnode.cwl/gcode_othmito"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#trnascan_wnode.cwl/input_jobs"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#trnascan_wnode.cwl/output_dir"
                },
                {
                    "type": "int",
                    "id": "#trnascan_wnode.cwl/superkingdom"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-taxid"
                    },
                    "id": "#trnascan_wnode.cwl/taxid"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#trnascan_wnode.cwl/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#trnascan_wnode.cwl/outdir"
                }
            ],
            "id": "#trnascan_wnode.cwl"
        },
        {
            "class": "Workflow",
            "label": "trnascan_wnode and gpx_qdump combined",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/gcode_othmito"
                },
                {
                    "type": "File",
                    "id": "#main/input_jobs"
                },
                {
                    "type": "int",
                    "id": "#main/superkingdom"
                },
                {
                    "type": "int",
                    "id": "#main/taxid"
                },
                {
                    "type": "File",
                    "id": "#main/taxon_db"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/Run_tRNAScan_dump/intermediate",
                    "id": "#main/intermediate"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#main/Run_tRNAScan_wnode/outdir",
                            "id": "#main/Run_tRNAScan_dump/input_path"
                        }
                    ],
                    "out": [
                        "#main/Run_tRNAScan_dump/intermediate"
                    ],
                    "id": "#main/Run_tRNAScan_dump"
                },
                {
                    "run": "#trnascan_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/Run_tRNAScan_wnode/asn_cache"
                        },
                        {
                            "source": "#main/gcode_othmito",
                            "id": "#main/Run_tRNAScan_wnode/gcode_othmito"
                        },
                        {
                            "source": "#main/input_jobs",
                            "id": "#main/Run_tRNAScan_wnode/input_jobs"
                        },
                        {
                            "source": "#main/superkingdom",
                            "id": "#main/Run_tRNAScan_wnode/superkingdom"
                        },
                        {
                            "source": "#main/taxid",
                            "id": "#main/Run_tRNAScan_wnode/taxid"
                        },
                        {
                            "source": "#main/taxon_db",
                            "id": "#main/Run_tRNAScan_wnode/taxon_db"
                        }
                    ],
                    "out": [
                        "#main/Run_tRNAScan_wnode/outdir"
                    ],
                    "id": "#main/Run_tRNAScan_wnode"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
